[OE-core] [PATCH 2/2] scripts/oe-setup-builddir: Keep track of TEMPLATECONF setting

Matthieu CRAPET Matthieu.CRAPET at ingenico.com
Tue Feb 25 08:34:58 UTC 2014


Hi,

You can drop parenthesis in your test (it will create a useless subshell).

Regards,
Matthieu


-----Message d'origine-----
De : openembedded-core-bounces at lists.openembedded.org [mailto:openembedded-core-bounces at lists.openembedded.org] De la part de Gary Thomas
Envoyé : lundi 24 février 2014 16:18
À : openembedded-core at lists.openembedded.org
Cc : Gary Thomas
Objet : [OE-core] [PATCH 2/2] scripts/oe-setup-builddir: Keep track of TEMPLATECONF setting

Keeping track of the TEMPLATECONF variable in the build tree will let this script produce the same output when listing 'conf-notes.txt' every time the script is run, regardless of whether or not TEMPLATECONF has been provided by the user.

Signed-off-by: Gary Thomas <gary at mlbassoc.com>
---
 scripts/oe-setup-builddir |    8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir index a869fdc..4322158 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -37,8 +37,16 @@ fi
 
 cd "$BUILDDIR"
 
+if (test -f "$BUILDDIR/conf/template.conf") then
+    TEMPLATECONF=$(cat $BUILDDIR/conf/template.conf) fi
+
 TEMPLATECONF=${TEMPLATECONF:-meta/conf}
 
+if ! (test -f "$BUILDDIR/conf/template.conf") then
+    echo "$TEMPLATECONF" >$BUILDDIR/conf/template.conf fi
+
 #
 # $TEMPLATECONF can point to a directory for the template local.conf & bblayers.conf  #
--
1.7.9.5

_______________________________________________
Openembedded-core mailing list
Openembedded-core at lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core



More information about the Openembedded-core mailing list